Summary: A tool for creating scanners (text pattern recognizers).
Name: flex
Version: 2.5.4a
Release: 1.3.0
License: BSD
Group: Development/Tools
Source: ftp://ftp.gnu.org/non-gnu/flex/flex-2.5.4a.tar.gz
Patch0: flex-2.5.4a-skel.patch
Patch1: flex-2.5.4-glibc22.patch
Patch2: flex-2.5.4a-gcc3.patch
Patch3: flex-2.5.4a-gcc31.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as
output.  The output file is compiled and linked with a library to
produce an executable.  The executable searches through its input for
occurrences of the regular expressions.  When a match is found, it
executes the corresponding C code.  Flex was designed to work with
both Yacc and Bison, and is used by many programs as part of their
build process.

You should install flex if you are going to use your system for
application development.

%prep
%setup -q -n %{name}-2.5.4
%patch0 -p1
%patch1 -p1 -b .glibc22
%patch2 -p1 -b .glib3
%patch3 -p1 -b .gcc31

%build
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1

( cd ${RPM_BUILD_ROOT}
  strip .%{_bindir}/flex
  ln -sf flex .%{_bindir}/lex
  ln -s flex.1 .%{_mandir}/man1/lex.1
  ln -s flex.1 .%{_mandir}/man1/flex++.1
  ln -s libfl.a .%{_libdir}/libl.a
)

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*
%{_includedir}/FlexLexer.h

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
